Package org.springframework.aot.generate

# Class ValueCodeGeneratorDelegates

java.lang.Object
org.springframework.aot.generate.ValueCodeGeneratorDelegates

public abstract class ValueCodeGeneratorDelegates extends Object
Code generator `ValueCodeGenerator.Delegate` for well known value types.

Since:
  6.1.2
Author:
  Stephane Nicoll

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ValueCodeGeneratorDelegates.CollectionDelegate<T extends Collection<?>>`
Abstract `ValueCodeGenerator.Delegate` for `Collection` types.
`static class`
`ValueCodeGeneratorDelegates.MapDelegate`
`ValueCodeGenerator.Delegate` for `Map` types.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final List<ValueCodeGenerator.Delegate>`
`INSTANCES`
A list of `ValueCodeGenerator.Delegate` implementations for the following common value types.

## Constructor Summary

Constructors
Constructor
Description
`ValueCodeGeneratorDelegates()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCES

public static final List<ValueCodeGenerator.Delegate> INSTANCES
A list of `ValueCodeGenerator.Delegate` implementations for the following common value types.

- Primitive types
- String
- Charset
- Enum
- Class
- `ResolvableType`
- Array
- List via `List.of`
- Set via `Set.of` and support for `LinkedHashSet`
- Map via `Map.of` or `Map.ofEntries`

Those implementations do not require the `ValueCodeGenerator` to be scoped.

## Constructor Details

### ValueCodeGeneratorDelegates

public ValueCodeGeneratorDelegates()